package com.cloudwise.android.agent;

import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.JavaScriptModule;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;

import io.realm.react.RealmReactPackage;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public class CloudwiseReactPackage implements ReactPackage {

    @Override
    public List<ViewManager> createViewManagers(ReactApplicationContext reactContext) {
        return Collections.emptyList();
    }

    @Override
    public List<NativeModule> createNativeModules(
            ReactApplicationContext reactContext) {
        PrivateDTBridge bridge = new PrivateDTBridge(reactContext);
        return Arrays.<NativeModule>asList(new CloudwiseRNBridge(reactContext, bridge),new RealmReactPackage(), bridge);
    }

}
