module.exports = {
  /**
   * GET请求
   * @param {请求路径} api_url
   * @param {参数列表} param
   * @param {成功回调} successBack
   * @param {失败回调} failureBack
   */
  GET: (api_url, param, successBack, failureBack) => {
    // 1. 参数拼接总串, 拼接操作符, 索引
    var allParamStr = ' ',
      flag = '?',
      index = 0;
    // 2. 把json对象转成字符串
    var jsonStr = JSON.stringify(param);
    // eslint-disable-next-line no-void
    if (void 0 !== jsonStr || jsonStr !== '{}') {
      // 过滤
      for (key in param) {
        if (index > 0) {
          flag = '&';
        }
        // eslint-disable-next-line no-undef,no-unused-vars
        allParamStr += flag + '=' + param[key];
        index++;
      }
    }

    // 3.拼接参数
    // eslint-disable-next-line no-undef,no-void
    if (void 0 !== allParamStr && allParamStr !== {}) {
      api_url += allParamStr;
      console.log('api_url');
      console.log(api_url);
    }
    fetch(api_url)
      // .then(response => response.json())
      .then(responseJson => {
        // 成功回调
        successBack(responseJson);
      })
      .catch(error => {
        // 失败回调
        failureBack(error);
      });
  },
};
