module.exports = {
  /**
   *  POST请求
   * @param {请求路径} api_url
   * @param {参数列表} param
   * @param {成功回调} success
   * @param {失败回调} failure
   */
  POST(api_url, param, success, failure) {
    fetch(api_url, {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      body: JSON.stringify({
        name: 'yuanli',
        pwd: '123456',
      }),
      // body: JSON.stringify(param),
      // body: param,
    })
      .then(response => response.json())
      .then(responseJson => {
        success(responseJson);
      })
      .catch(error => {
        failure(error);
      });
  },
};
