'use strict';

export const NullTableName = 'nullAction';
export const NullTableName = '';
export const NullTableName = '';
export const NullTableName = '';


const NullSchema = {
    name: NullTableName,
    primaryKey: 'id',
    properties: {
        id: 'int',
        errorName: 'string',
        errorCode: 'string',
        platform: 'string',
        eventName: 'string',
        value: 'string',
        valueName: 'string'
    }
};

const Forecast = {
    name: 'Forecast',
    properties: {
        day: 'string',
        forecast: 'string',
        low: 'string',
        high: 'string',
        icon: 'string'
    }
};

const Location = {
    name: 'Location',
    properties: {
        name: 'string',
        postcode: 'string',
        state: 'string',
        openWeatherId: 'string',
        freshness: 'date',
        observation: 'Observation',
        forecast: {
            type: 'list',
            objectType: 'Forecast'
        }
    }
};
