"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const realm = require('../../data/realm/RealmUtil')
const tableName = realm.NullTableName;
class NullAction {
    reportError(errorName, errorCode, platform) {
        realm.writeToRealm({'errorName': errorName, 'errorCode': errorCode, 'platform': platform}, tableName).then(r => {console.log('success: ' + r)});
    }
    reportEvent(eventName, platform) {
        realm.writeToRealm({'eventName': eventName, 'platform': platform}, tableName).then(r => console.log(r));
    }
    reportStringValue(valueName, value, platform) {
        realm.writeToRealm({'valueName': valueName, 'value': value, 'platform': platform}, tableName).then(r => console.log(r));
    }
    reportIntValue(valueName, value, platform) {
        realm.writeToRealm({'valueName': valueName, 'value': value, 'platform': platform}, tableName).then(r => console.log(r));
    }
    reportDoubleValue(valueName, value, platform) {
        realm.writeToRealm({'valueName': valueName, 'value': value, 'platform': platform}, tableName).then(r => console.log(r));
    }
    leaveAction(platform) {
        realm.writeToRealm({'platform': platform}, tableName).then(r => console.log(r));
    }
}
exports.NullAction = NullAction;
